3

QGIS is crashing when I try to package a project for export to QField, using the QFieldSync plugin. Previous projects have succesfully exported without issue. I am running QGIS 3.4.11 Madeira on a Windows 10 laptop. The error report is pasted below. Any idea why this is happening?

Crash ID: 57306b64118c1c5d75ffb118873c33fc668bdf6e

Stack Trace

QBitArray::QBitArray :
QgsRelation::referencedLayerId :
QgsCoordinateTransformContext::calculateDatumTransforms :
QgsCoordinateTransform::transformPolygon :
QgsCoordinateTransform::QgsCoordinateTransform :
QgsMapCanvasAnnotationItem::updatePosition :
QgsMapCanvas::updateCanvasItemPositions :
QMetaObject::activate :
QgsMapCanvas::setExtent :
QgsMapCanvas::readProject :
QMetaObject::activate :
QgsProject::readProject :
QgsProject::readProjectFile :
QgsProject::read :
PyInit__core :
PyMethodDef_RawFastCallKeywords :
PyMethodDef_RawFastCallKeywords :
PyEval_EvalFrameDefault :
PyMethodDef_RawFastCallKeywords :
PyEval_EvalFrameDefault :
PyFunction_FastCallDict :
PyMethodDef_RawFastCallDict :
PyObject_Call :
PyInit_QtCore :
PyInit_QtCore :
PyInit_QtCore :
PyInit_QtCore :
PyInit_QtCore :
QMetaObject::activate :
QAbstractButton::clicked :
QAbstractButton::click :
QAbstractButton::mouseReleaseEvent :
QWidget::event :
QApplicationPrivate::notify_helper :
QApplication::notify :
QgsApplication::notify :
QCoreApplication::notifyInternal2 :
QApplicationPrivate::sendMouseEvent :
QSizePolicy::QSizePolicy :
QSizePolicy::QSizePolicy :
QApplicationPrivate::notify_helper :
QApplication::notify :
QgsApplication::notify :
QCoreApplication::notifyInternal2 :
QGuiApplicationPrivate::processMouseEvent :
QWindowSystemInterface::sendWindowSystemEvents :
QEventDispatcherWin32::processEvents :
CallWindowProcW :
DispatchMessageW :
QEventDispatcherWin32::processEvents :
qt_plugin_query_metadata :
QEventLoop::exec :
QCoreApplication::exec :
main :
BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info
QGIS Version: 3.4.11-Madeira
QGIS code revision: 9a8a6d4687
Compiled against Qt: 5.11.2
Running against Qt: 5.11.2
Compiled against GDAL: 2.4.1
Running against GDAL: 2.4.1

System Info
CPU Type: x86_64
Kernel Type: winnt
Kernel Version: 10.0.18362
  • I have no idea what may be causing this, but one thing you could try is installing QGIS 3.10.1 and see of that works better. – TeddyTedTed Dec 17 '19 at 15:16

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.